MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004913ACheckerInterfacepublic2011-11-14 12:002011-11-25 14:48
Reportercindy 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in Version1.3 
Summary0004913: Hardcoded languages in javascript
DescriptionIn checker/js/checker.js, there are some hardcoded alert/button languages that are not generated thru _AT() which would disable their internationalization. The solution is to,

1. Declare these language tokens as js global vars in a php-generated js script;
2. Use the global vars in checker/js/checker.js
TagsNo tags attached.
SVN Revision#8ab5fd945b2c4a7632a7bd2ee8c39c9f098ccd39
Attached Files

- Relationships

-  Notes
(0005514)
cindy (administrator)
2011-11-18 13:58

The fix has been merged into master project repo @

https://github.com/atutor/AChecker/commit/8ab5fd945b2c4a7632a7bd2ee8c39c9f098ccd39 [^]

Added new script: checker/js/checker_js.php

Modified scripts:
checker/index.php
checker/js/checker.js
include/classes/HTMLByGuidelineRpt.class.php
themes/default/checker/checker_input_form.tmpl.php

- Issue History
Date Modified Username Field Change
2011-11-14 12:00 cindy New Issue
2011-11-18 13:58 cindy SVN Revision# => 8ab5fd945b2c4a7632a7bd2ee8c39c9f098ccd39
2011-11-18 13:58 cindy Note Added: 0005514
2011-11-18 13:58 cindy Status new => resolved
2011-11-18 13:58 cindy Fixed in Version => SVN
2011-11-18 13:58 cindy Resolution open => fixed
2011-11-18 13:58 cindy Assigned To => cindy
2011-11-25 14:48 greg Fixed in Version SVN => 1.3


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker